package com.zanxiang.game.data.serve.pojo.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * <p>
 * 推广渠道充值排行榜
 * </p>
 *
 * @author 
 * @since 2023-06-30
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AdsAgentRechargeRanking implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "ads_agent_recharge_ranking";

    /**
     * 日期（充值时间）
     */
    private LocalDate dt;

    /**
     * 推广渠道账号
     */
    private Long agentId;

    /**
     * 推广渠道名称
     */
    private String agentName;

    /**
     * 投手
     */
    private String pitcher;

    /**
     * 推广媒体
     */
    private String type;

    /**
     * 当天充值金额
     */
    private BigDecimal todayAmount;

    /**
     * 累计充值今额
     */
    private BigDecimal totalAmount;

    /**
     * 累计充值人数
     */
    private Long totalRechargeUserCount;

    /**
     * 累计充值次数
     */
    private Long totalRechargeCount;

    /**
     * 平均单价
     */
    private BigDecimal avgAmount;

    /**
     * 注册人数
     */
    private Long regUserCount;

    /**
     * 累计消耗
     */
    private BigDecimal totalCost;

    /**
     * 回本率
     */
    private BigDecimal roi;


}
