package com.zanxiang.game.data.serve.pojo.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * <p>
 * 游戏每日数据
 * </p>
 *
 * @author 
 * @since 2023-06-30
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AdsGameDay implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "ads_game_day";

    /**
     * 日期
     */
    private LocalDate dt;

    /**
     * 游戏ID
     */
    private Long gameId;

    /**
     * 游戏名称
     */
    private String gameName;

    /**
     * 游戏类别
     */
    private Long gameClassify;

    /**
     * CP名称
     */
    private String cpName;

    /**
     * 消耗
     */
    private BigDecimal cost;

    /**
     * 注册人数（总）
     */
    private Long regNum;

    /**
     * 新增付费次数（总）
     */
    private Long firstNewUserAmountCount;

    /**
     * 新增付费人数（总）
     */
    private Long firstNewUserAmountNum;

    /**
     * 新增付费金额（总）
     */
    private BigDecimal firstNewUserAmount;

    /**
     * 老用户充值次数（总）
     */
    private Long oldUserCount;

    /**
     * 老用户充值人数（总）
     */
    private Long oldUserNum;

    /**
     * 老用户充值金额（总）
     */
    private BigDecimal oldUserAmount;

    /**
     * 账面充值次数（总）
     */
    private Long amountCount;

    /**
     * 账面充值人数（总）
     */
    private Long amountNum;

    /**
     * 账面充值金额（总）
     */
    private BigDecimal amount;

    /**
     * 至今付费次数（总）
     */
    private Long newUserTotalAmountCount;

    /**
     * 至今付费人数（总）
     */
    private Long newUserTotalAmountNum;

    /**
     * 至今付费金额（总）
     */
    private BigDecimal newUserTotalAmount;

    /**
     * 首日付费率（总）
     */
    private BigDecimal firstRoi;

    /**
     * 当天付费率（总）
     */
    private BigDecimal todayRoi;

    /**
     * 新用户付费比（总）
     */
    private BigDecimal newUserRate;

    /**
     * 首日客单价（总）
     */
    private BigDecimal firstAvgAmount;

    /**
     * 当天客单价（总）
     */
    private BigDecimal todayAvgAmount;

    /**
     * 账面客单价（总）
     */
    private BigDecimal avgAmount;

    /**
     * 复充率（总）
     */
    private BigDecimal userAgainRate;

    /**
     * 新增注册ARPU（总）
     */
    private BigDecimal regUserArpu;

    /**
     * 首日付费ARPU（总）
     */
    private BigDecimal firstAmountArpu;

    /**
     * 当天付费ARPU（总）
     */
    private BigDecimal todayAmountArpu;

    /**
     * 账面ARPU（总）
     */
    private BigDecimal amountArpu;

    /**
     * 付费趋势第一天总：增/回/倍（总）
     */
    private String amountD1;

    /**
     * 付费趋势第三天总：增/回/倍（总）
     */
    private String amountD3;

    /**
     * 付费趋势第七天总：增/回/倍（总）
     */
    private String amountD7;

    /**
     * 付费趋势第十五天总：增/回/倍（总）
     */
    private String amountD15;

    /**
     * 付费趋势第一月总：增/回/倍（总）
     */
    private String amountM1;

    /**
     * 付费趋势第二月总：增/回/倍（总）
     */
    private String amountM2;

    /**
     * 付费趋势第三月总：增/回/倍（总）
     */
    private String amountM3;

    /**
     * 付费趋势总：增/回/倍（总）
     */
    private String amountSum;

    /**
     * 注册人数（买量）
     */
    private Long buyRegNum;

    /**
     * 新增付费次数（买量）
     */
    private Long buyFirstNewUserAmountCount;

    /**
     * 新增付费人数（买量）
     */
    private Long buyFirstNewUserAmountNum;

    /**
     * 新增付费金额（买量）
     */
    private BigDecimal buyFirstNewUserAmount;

    /**
     * 老用户充值次数（买量）
     */
    private Long buyOldUserCount;

    /**
     * 老用户充值人数（买量）
     */
    private Long buyOldUserNum;

    /**
     * 老用户充值金额（买量）
     */
    private BigDecimal buyOldUserAmount;

    /**
     * 账面充值次数（买量）
     */
    private Long buyAmountCount;

    /**
     * 账面充值人数（买量）
     */
    private Long buyAmountNum;

    /**
     * 账面充值金额（买量）
     */
    private BigDecimal buyAmount;

    /**
     * 至今付费次数（买量）
     */
    private Long buyNewUserTotalAmountCount;

    /**
     * 至今付费人数（买量）
     */
    private Long buyNewUserTotalAmountNum;

    /**
     * 至今付费金额（买量）
     */
    private BigDecimal buyNewUserTotalAmount;

    /**
     * 首日付费率（买量）
     */
    private BigDecimal buyFirstRoi;

    /**
     * 当天付费率（买量）
     */
    private BigDecimal buyTodayRoi;

    /**
     * 新用户付费比（买量）
     */
    private BigDecimal buyNewUserRate;

    /**
     * 首日客单价（买量）
     */
    private BigDecimal buyFirstAvgAmount;

    /**
     * 当天客单价（买量）
     */
    private BigDecimal buyTodayAvgAmount;

    /**
     * 账面客单价（买量）
     */
    private BigDecimal buyAvgAmount;

    /**
     * 复充率（买量）
     */
    private BigDecimal buyUserAgainRate;

    /**
     * 新增注册ARPU（买量）
     */
    private BigDecimal buyRegUserArpu;

    /**
     * 首日付费ARPU（买量）
     */
    private BigDecimal buyFirstAmountArpu;

    /**
     * 当天付费ARPU（买量）
     */
    private BigDecimal buyTodayAmountArpu;

    /**
     * 账面ARPU（买量）
     */
    private BigDecimal buyAmountArpu;

    /**
     * 付费趋势第一天总：增/回/倍（买量）
     */
    private String buyAmountD1;

    /**
     * 付费趋势第三天总：增/回/倍（买量）
     */
    private String buyAmountD3;

    /**
     * 付费趋势第七天总：增/回/倍（买量）
     */
    private String buyAmountD7;

    /**
     * 付费趋势第十五天总：增/回/倍（买量）
     */
    private String buyAmountD15;

    /**
     * 付费趋势第一月总：增/回/倍（买量）
     */
    private String buyAmountM1;

    /**
     * 付费趋势第二月总：增/回/倍（买量）
     */
    private String buyAmountM2;

    /**
     * 付费趋势第三月总：增/回/倍（买量）
     */
    private String buyAmountM3;

    /**
     * 付费趋势总：增/回/倍（买量）
     */
    private String buyAmountSum;

    /**
     * 注册人数（自然量）
     */
    private Long natureRegNum;

    /**
     * 新增付费次数（自然量）
     */
    private Long natureFirstNewUserAmountCount;

    /**
     * 新增付费人数（自然量）
     */
    private Long natureFirstNewUserAmountNum;

    /**
     * 新增付费金额（自然量）
     */
    private BigDecimal natureFirstNewUserAmount;

    /**
     * 老用户充值次数（自然量）
     */
    private Long natureOldUserCount;

    /**
     * 老用户充值人数（自然量）
     */
    private Long natureOldUserNum;

    /**
     * 老用户充值金额（自然量）
     */
    private BigDecimal natureOldUserAmount;

    /**
     * 账面充值次数（自然量）
     */
    private Long natureAmountCount;

    /**
     * 账面充值人数（自然量）
     */
    private Long natureAmountNum;

    /**
     * 账面充值金额（自然量）
     */
    private BigDecimal natureAmount;

    /**
     * 至今付费次数（自然量）
     */
    private Long natureNewUserTotalAmountCount;

    /**
     * 至今付费人数（自然量）
     */
    private Long natureNewUserTotalAmountNum;

    /**
     * 至今付费金额（自然量）
     */
    private BigDecimal natureNewUserTotalAmount;

    /**
     * 首日付费率（自然量）
     */
    private BigDecimal natureFirstRoi;

    /**
     * 当天付费率（自然量）
     */
    private BigDecimal natureTodayRoi;

    /**
     * 新用户付费比（自然量）
     */
    private BigDecimal natureNewUserRate;

    /**
     * 首日客单价（自然量）
     */
    private BigDecimal natureFirstAvgAmount;

    /**
     * 当天客单价（自然量）
     */
    private BigDecimal natureTodayAvgAmount;

    /**
     * 账面客单价（自然量）
     */
    private BigDecimal natureAvgAmount;

    /**
     * 复充率（自然量）
     */
    private BigDecimal natureUserAgainRate;

    /**
     * 新增注册ARPU（自然量）
     */
    private BigDecimal natureRegUserArpu;

    /**
     * 首日付费ARPU（自然量）
     */
    private BigDecimal natureFirstAmountArpu;

    /**
     * 当天付费ARPU（自然量）
     */
    private BigDecimal natureTodayAmountArpu;

    /**
     * 账面ARPU（自然量）
     */
    private BigDecimal natureAmountArpu;

    /**
     * 付费趋势第一天总：增/回/倍（自然量）
     */
    private String natureAmountD1;

    /**
     * 付费趋势第三天总：增/回/倍（自然量）
     */
    private String natureAmountD3;

    /**
     * 付费趋势第七天总：增/回/倍（自然量）
     */
    private String natureAmountD7;

    /**
     * 付费趋势第十五天总：增/回/倍（自然量）
     */
    private String natureAmountD15;

    /**
     * 付费趋势第一月总：增/回/倍（自然量）
     */
    private String natureAmountM1;

    /**
     * 付费趋势第二月总：增/回/倍（自然量）
     */
    private String natureAmountM2;

    /**
     * 付费趋势第三月总：增/回/倍（自然量）
     */
    private String natureAmountM3;

    /**
     * 付费趋势总：增/回/倍（自然量）
     */
    private String natureAmountSum;

    /**
     * 单日付费100+人数
     */
    private Long hundredUserNum;

    /**
     * 单日付费100+成本
     */
    private BigDecimal hundredUserNumCost;


}
