package com.zanxiang.game.data.serve.pojo.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 * 订单明细
 * </p>
 *
 * @author 
 * @since 2023-06-30
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AdsOrderDetail implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "ads_order_detail";

    /**
     * 订单创建日期
     */
    private LocalDate day;

    /**
     * SDK来源
     */
    private String sourceSystem;

    /**
     * 订单号
     */
    private String orderId;

    /**
     * CP订单
     */
    private String cpOrderId;

    /**
     * CP名称
     */
    private String cpName;

    /**
     * 第三方支付订单号
     */
    private String merchantOrderNo;

    /**
     * 游戏玩家ID
     */
    private String gameUserId;

    /**
     * 用户名
     */
    private String username;

    /**
     * 注册时间
     */
    private LocalDateTime regTime;

    /**
     * 注册渠道ID
     */
    private String agentId;

    /**
     * 注册游戏ID
     */
    private String gameId;

    /**
     * 注册游戏类别,3开头为android 4 开头为IOS 5 开头为H5 6开头为小程序 对应于game_class中的ID
     */
    private String classify;

    /**
     * 投手名称
     */
    private String zxPitcherName;

    /**
     * 广告账号
     */
    private String accountId;

    /**
     * 推广媒体
     */
    private String accountType;

    /**
     * 广告id
     */
    private String adId;

    /**
     * 充值渠道ID
     */
    private String orderAgentId;

    /**
     * 充值游戏ID
     */
    private String orderGameId;

    /**
     * 充值游戏类型
     */
    private String orderGameClassify;

    /**
     * 游戏商品名称
     */
    private String productName;

    /**
     * 货物总价
     */
    private BigDecimal amount;

    /**
     * 实际支付金额
     */
    private BigDecimal realAmount;

    /**
     * 支付方式名称
     */
    private String payway;

    /**
     * 支付场景
     */
    private String payScene;

    /**
     * 收款账户
     */
    private String payAccountId;

    /**
     * 服务器id
     */
    private String serverId;

    /**
     * 角色id
     */
    private String roleId;

    /**
     * 等级
     */
    private String roleLevel;

    /**
     * vip等级
     */
    private String roleVip;

    /**
     * 操作系统
     */
    private String os;

    /**
     * 是否切换
     */
    private String orderIsSwitch;

    /**
     * 订单充值时间
     */
    private LocalDateTime orderCreateTime;

    /**
     * 支付时间
     */
    private String payTime;

    /**
     * 支付状态，1为待处理，2为成功，3为失败
     */
    private String orderStatus;

    /**
     * 是否首充：1是,0否
     */
    private String isFirstRecharge;


}
